QCA::CertificateInfoPair Class Reference
QCA user API

`#include <QtCrypto>`

## Public Member Functions

| CertificateInfoPair ()
| CertificateInfoPair (const CertificateInfoPair &from)
| CertificateInfoPair (const CertificateInfoType &type, const QString &value)
bool | operator!= (const CertificateInfoPair &other) const
CertificateInfoPair & | operator= (const CertificateInfoPair &from)
bool | operator== (const CertificateInfoPair &other) const
CertificateInfoType | type () const
QString | value () const

## Detailed Description

One entry in a certificate information list.

## Constructor & Destructor Documentation

## CertificateInfoPair() [1/3]

QCA::CertificateInfoPair::CertificateInfoPair | ( |  | ) |

Standard constructor.

Referenced by CertificateInfoPair(), operator!=(), operator=(), and operator==().

## CertificateInfoPair() [2/3]

QCA::CertificateInfoPair::CertificateInfoPair | ( | const CertificateInfoType & | type,
|  | const QString & | value )

Construct a new pair.

Parameters

  type | the type of information stored in this pair
  value | the value of the information to be stored

References type(), and value().

## CertificateInfoPair() [3/3]

QCA::CertificateInfoPair::CertificateInfoPair | ( | const CertificateInfoPair & | from | ) |

Standard copy constructor.

Parameters

  from | the information pair to copy from

References CertificateInfoPair().

## Member Function Documentation

## operator=()

CertificateInfoPair & QCA::CertificateInfoPair::operator= | ( | const CertificateInfoPair & | from | ) |

Standard assignment operator.

Parameters

  from | the information pair to assign from

References CertificateInfoPair().

## type()

CertificateInfoType QCA::CertificateInfoPair::type | ( |  | ) | const

The type of information stored in the pair.

Referenced by CertificateInfoPair().

## value()

QString QCA::CertificateInfoPair::value | ( |  | ) | const

The value of the information stored in the pair.

Referenced by CertificateInfoPair().

## operator==()

bool QCA::CertificateInfoPair::operator== | ( | const CertificateInfoPair & | other | ) | const

Comparison operator.

Parameters

  other | the certificate information pair to compare with this certificate information pair.

References CertificateInfoPair().

## operator!=()

bool QCA::CertificateInfoPair::operator!= | ( | const CertificateInfoPair & | other | ) | const

inline

Inequality operator.

Parameters

  other | the certificate information pair to compare with this certificate information pair.

References CertificateInfoPair().

The documentation for this class was generated from the following file:

- qca_cert.h